package com.wechat.model.dto;

import java.util.Date;

import com.wechat.common.utils.BaseUtils;
import com.wechat.common.utils.NumberUtils;

/**
 * @author jadyn
 * @version 创建时间：2020年2月25日 下午4:56:28 类说明
 */
public class JobFairJobsDto {

	private String jobId;

	private String jobName;
	
	private Date createDate; // 创建时间
	
	private String positionId; // 工作类别id
	
	private String shareJob; // 发布的工作Id
	
	public String getJobId() {
		return jobId;
	}

	public void setJobId(String jobId) {
		this.jobId = jobId;
	}


	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getPositionId() {
		return positionId;
	}

	public void setPositionId(String positionId) {
		this.positionId = positionId;
	}
	
	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		setShareJob(BaseUtils.getShareJob(createDate,NumberUtils.stringToInt(getJobId(),0)));
	}

	public String getShareJob() {
		return shareJob;
	}

	public void setShareJob(String shareJob) {
		this.shareJob = shareJob;
		//去除铭感数据
		this.jobId = null;
	}


}
